Package org.eclipse.mat.parser.internal.snapshot

# Class ClassHistogramRecordBuilder

java.lang.Object
org.eclipse.mat.snapshot.HistogramRecord
org.eclipse.mat.parser.internal.snapshot.ClassHistogramRecordBuilder

All Implemented Interfaces:
  `Serializable`

public class ClassHistogramRecordBuilder extends HistogramRecord

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.mat.snapshot.HistogramRecord

`COMPARATOR_FOR_LABEL, COMPARATOR_FOR_NUMBEROFOBJECTS, COMPARATOR_FOR_RETAINEDHEAPSIZE, COMPARATOR_FOR_USEDHEAPSIZE`

## Constructor Summary

Constructors
Constructor
Description
`ClassHistogramRecordBuilder(String label, int classId)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int objectId, long usedHeapSize)`
`void`
`add(long usedHeapSize)`
`void`
`addAll(int[] objectIds, long usedHeapSize)`
`void`
`addAll(long numberOfObjects, long usedHeapSize)`
`ClassHistogramRecord`
`toClassHistogramRecord()`

### Methods inherited from class org.eclipse.mat.snapshot.HistogramRecord

`getLabel, getNumberOfObjects, getRetainedHeapSize, getUsedHeapSize, incNumberOfObjects, incNumberOfObjects, incRetainedHeapSize, incUsedHeapSize, reverseComparator, setLabel, setNumberOfObjects, setRetainedHeapSize, setUsedHeapSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassHistogramRecordBuilder

public ClassHistogramRecordBuilder(String label, int classId)

## Method Details

### add

public void add(long usedHeapSize)

### add

public void add(int objectId, long usedHeapSize)

### addAll

public void addAll(long numberOfObjects, long usedHeapSize)

### addAll

public void addAll(int[] objectIds, long usedHeapSize)

### toClassHistogramRecord

public ClassHistogramRecord toClassHistogramRecord()